Subject: [OAUTH-WG] ACE and OAuth Extensions Error Registry

From: Samuel Erdtman <[email-masked]>
Date: Fri, 29 Sep 2017 10:24:33 +0200

Hi Hannes and Dick,

In the work with the ACE framework (
https://tools.ietf.org/html/draft-ietf-ace-oauth-authz-07) that is based on
the OAuth framework I noticed that non of the error response codes
described in the OAuth Framework is IANA registered.
I could find invalid_request, unauthorized_client, access_denied,
unsupported_response_type, invalid_scope, server_error,
temporarily_unavailable, invalid_client, invalid_grant by scrolling through
the RFC but only a few of them are registered via other RFCs/specifications.

Is there a reason for not including these in the IANA registry for OAuth
Extensions Error Registry? Is there another registry for these?

In the ACE framework we want to map these to integers to save some precious
bytes.

Thanks
//Samuel